terminal 和byobu每次启动 一堆莫名其妙的字符显示

为当前最终发行版之前的所有版本提供支持
回复
头像
asean
帖子: 164
注册时间: 2012-09-23 13:19
系统: ubuntu 12.04
送出感谢: 28 次
接收感谢: 0

terminal 和byobu每次启动 一堆莫名其妙的字符显示

#1

帖子 asean » 2013-03-23 16:39

如题所示,感觉可能是我曾经为了解决byobu乱码时运行了一句export LANG=zh_CN.GB18030,没有后续设置,然后每次启动终端就会有一大堆字符显示:
怎么消去这些影响啊?

代码: 全选

declare -x BYOBU_ACCENT="#75507B"
declare -x BYOBU_BACKEND="tmux"
declare -x BYOBU_CONFIG_DIR="/home/sean/.byobu"
declare -x BYOBU_DARK="black"
declare -x BYOBU_HIGHLIGHT="#DD4814"
declare -x BYOBU_LIGHT="white"
declare -x BYOBU_PAGER="sensible-pager"
declare -x BYOBU_PREFIX="/usr"
declare -x BYOBU_READLINK="readlink"
declare -x BYOBU_RUN_DIR="/dev/shm/byobu-sean-g0rYgJj3"
declare -x BYOBU_SED="sed"
declare -x COLORTERM="gnome-terminal"
declare -x COMPIZ_CONFIG_PROFILE="ubuntu"
declare -x DBUS_SESSION_BUS_ADDRESS="unix:abstract=/tmp/dbus-7cjgYOVGaZ,guid=29e9109389cb5ced7b6f6c0500000026"
declare -x DEFAULTS_PATH="/usr/share/gconf

……省略许多…………
declare -x GTK_IM_MODULE="ibus"
declare -x LANG="zh_CN.UTF-8"
declare -x LANGUAGE="zh_CN:zh"
declare -x LESSCLOSE="/usr/bin/lesspipe %s %s"
declare -x LESSOPEN="| /usr/bin/lesspipe %s"
declare -x XAUTHORITY="/home/sean/.Xauthority"
declare -x XDG_CONFIG_DIRS="/etc/xdg/xdg-ubuntu:/etc/xdg"
declare -x XDG_CURRENT_DESKTOP="Unity"
declare -x XDG_DATA_DIRS="/usr/share/ubuntu:/usr/share/gnome:/usr/local/share/:/usr/share/"
declare -x XDG_SEAT_PATH="/org/freedesktop/DisplayManager/Seat0"
declare -x XDG_SESSION_COOKIE="b96b56116ab132cf68616e520000000d-1364026055.691094-1607417895"
declare -x XDG_SESSION_PATH="/org/freedesktop/DisplayManager/Session0"
declare -x XMODIFIERS="@im=ibus"
头像
asean
帖子: 164
注册时间: 2012-09-23 13:19
系统: ubuntu 12.04
送出感谢: 28 次
接收感谢: 0

Re: terminal 和byobu每次启动 一堆莫名其妙的字符显示

#2

帖子 asean » 2013-03-23 19:51

虽然不知道这个是不是

代码: 全选

export LANG=zh_CN.GB18030
引起的,
在.bashrc里面我倒是用过export语句,但是在命令行里这么用会有什么效果呢?有什么方法可以抵消这句的影响吗?
求大虾指点~~
头像
asean
帖子: 164
注册时间: 2012-09-23 13:19
系统: ubuntu 12.04
送出感谢: 28 次
接收感谢: 0

Re: terminal 和byobu每次启动 一堆莫名其妙的字符显示

#3

帖子 asean » 2013-03-26 16:21

继续顶……
回复

回到 “老旧版本支持”